function varargout=initt(typ)
% Usage:
%
% initt(0) for initialization
% [stype,nx,nu,nv,ny,ne]=initt(1) for getting true system dimensions
% [x0,P0,vm,R1,em,R2]=initt(2) for getting true system statistics
%
% [stype,nx,nu,nv,ny,ne]=initt(3) for getting model dimensions
% [x0,P0,vm,R1,em,R2]=initt(4) for getting model statistics

if nargin<1,
 typ=0;
end

global stype
global nx nu nv ny ne
global A B Gx C D Gy
global em vm R1 R2 
global P0 x0

switch typ
case 0,
 stype='sdd';
 nx=1; nu=0; ny=1; nv=1; ne=1;
 A=0.98; C=1; B=1-A; D=0;
 A=1; C=1; B=1; D=0;
 Gx=[]; Gy=[];
 S1=0.5;  R1=S1*S1';
 S2=0.5;  R2=S2*S2';
 vm=0;   em=0;
% P0=dlyap(A,R1);
% x0=1;
 P0=0; x0=0;
case {1,3},
 varargout={stype; nx; nu; nv; ny; ne};
case 2,
 varargout={x0; P0*0; vm; R1*0; em; R2*0};
case 4,
 varargout={x0+5; 1e2; vm; R1; em; R2}; 
otherwise,
 disp('Error')
end

