function varargout=initt(typ)
% Usage:
%
% initt(0) for initialization
% [stype,nx,nu,nv,ny,ne]=initt(1) for getting true system dimensions
% [x0,P0,vm,R1,em,R2]=initt(2) for getting true system statistics
% [stype,nx,nu,nv,ny,ne]=initt(3) for getting model dimensions
% [x0,P0,vm,R1,em,R2]=initt(4) for getting model statistics

if nargin<1,
 typ=0;
end

global stype
global nx nu nv ny ne
global A B Gx C D Gy
global em vm R1 R2 
global P0 x0

switch typ
case 0,
 stype='sdd';
 nx=2; nu=2; ny=2; nv=nx; ne=ny;
 A=[0.5 0; 0 0.8]; 
 B=[0.5 0; 0 0.2];
 C=[1 0; 0 1]; D=zeros(ny,nu);
 Gx=[]; Gy=[];
 vm=zeros(nv,1); R1=eye(nx)*0.1; 
 em=zeros(ne,1); R2=eye(ne)*0.1;
 P0=dlyap(A,R1);
 x0=zeros(nx,1);
case {1,3},
 varargout={stype; nx; nu; nv; ny; ne};
case 2,
 varargout={x0; P0; vm; R1*0; em; R2};
case 4,
 varargout={x0; P0; vm; R1; em; R2};

otherwise,
 disp('Error in initt.m')
end

