function [tmiss,y,C,R2]=missobs(y,C,R2)
% Usage: [tmiss,y,C,R2]=missobs(y,C,R2)
%
% If an observation is missing, it is indicated in y by a NaN.
% This procedure is deleting rows in C and R2 (and coloumns).
% If the the whole sample is missing tmiss (total miss) is set to 1 (and
% all arguments are passed on.

pil=isnan(y);
tmiss=sum(pil)==length(y);

if nargin>1,
 if tmiss~=1,
  idx=find(pil==1);
  y(idx)=[];
  C(idx,:)=[];
  if nargin > 2,
   R2(idx,:)=[];
   R2(:,idx)=[];
  end
 end
end

