function u=sqwave(n,hper)
% Usage:  u=sqwave(n,hper)
%
% If hper contains one row sqwave creates a square wave with length n and
% a period equal 2*hper 
%
% Let nw be the number of row in hper.
% For nw>1 nw square waves are placed in u. In this case hper is a nw by 2
% array containing the half period and phase shift (measured in samples)
% for each channel.

% Programmed 1994 by Niels K. Poulsen
% Department of Mathematical Modelling,
% Technical University of Denmark
% Last review 2007

nw=size(hper,1);

if nw==1,
 m=ceil(n/hper(1,1));
 u=osc(m+1);
 u=kron(u,ones(hper(1,1),1));
 if size(hper,2)>1, u=u(hper(1,2)+1:end); end;
 u=u(1:n);
else,
 u=[];
 for i=1:nw,
  m=ceil(n/hper(i,1));
  v=osc(m+1);
  v=kron(v,ones(hper(i,1),1));
  v=v(hper(i,2)+1:end); v=v(1:n);
  u=[u; v'];
 end;
end;